Page MenuHomePhabricator

Remove Revision::getRevisionText
Closed, ResolvedPublic

Description

Hard deprecated

Remaining uses:

Event Timeline

DannyS712 changed the task status from Open to Stalled.Mar 26 2020, 4:32 AM
DannyS712 triaged this task as Medium priority.
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Cannot be removed until 1.36

Change 584788 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MathSearch@master] Remove use of Revision::getRevisionText

https://gerrit.wikimedia.org/r/584788

Change 584788 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MathSearch@master] Remove use of Revision::getRevisionText

https://gerrit.wikimedia.org/r/584788

Please note that this patch actually declares the extension incompatible with 1.35+, because the current code results in LogicExceptions being thrown

Change 584792 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MessageCommons@master] Declare extension incompatible with MediaWiki 1.35

https://gerrit.wikimedia.org/r/584792

Change 584788 merged by jenkins-bot:
[mediawiki/extensions/MathSearch@master] Declare extension incompatible with MediaWiki 1.35

https://gerrit.wikimedia.org/r/584788

Change 585960 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/extensions/MathSearch@master] Make MathSearch compatible to MW 1.35

https://gerrit.wikimedia.org/r/585960

Change 585960 merged by jenkins-bot:
[mediawiki/extensions/MathSearch@master] Make MathSearch compatible to MW 1.35

https://gerrit.wikimedia.org/r/585960

Change 584792 abandoned by DannyS712:
Declare extension incompatible with MediaWiki 1.35

Reason:
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MessageCommons/ /525078/ was merged, no longer needed

https://gerrit.wikimedia.org/r/584792

DannyS712 changed the task status from Stalled to Open.Jul 14 2020, 9:50 AM

This has some uses in Translate, one of them has a comment saying Should only happen with MW < 1.34.

DannyS712 changed the task status from Open to Stalled.Dec 29 2020, 9:01 PM

Reflect decision to wait until 1.37 for Revision removals

This has some uses in Translate, one of them has a comment saying Should only happen with MW < 1.34.

Translate maintains compatibility with non-MASTER versions of core, and so has some backwards-compatibility code - if it should only be run with MW < 1.34, then it doesn't matter if we remove the code in a later version

This task was filed when I was not expecting to be able to remove the whole Revision class, sorry for the confusion. Resolving now that the entire class has been removed as part of T247143, see rMW983984d5d4a4: EPIC: Remove the Revision class entirely.